Support » Plugin: Polylang » PLL 1.0 and 1.01 Warning: in_array() expects parameter 2 to be array, null given

  • Resolved fhoech

    (@fhoech)


    On the language settings page under sync, the following error message is repeated before every checkbox item:

    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/languages-form.php on line 348

    Also after editing a post, I get

    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 561
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 561
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 561
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 561
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 428
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 456
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 463
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 471
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 471
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 573
    
    Warning: in_array() expects parameter 2 to be array, null given in /wp-content/plugins/polylang/include/admin-filters.php on line 583
    
    Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/polylang/include/admin-filters.php:561) in /wp-includes/pluggable.php on line 876

    Any ideas?

    http://wordpress.org/extend/plugins/polylang/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Chouby

    (@chouby)

    I can’t reproduce this. Did you upgrade from an older version? Or was v1.0 your first install? Are the “synchronization” checkboxes checked or not?

    Thanks for the reply! Yes, I upgraded the plugin from a previous version. The synchronization checkboxes are not checked.

    Plugin Author Chouby

    (@chouby)

    Do you remember what was the old version 0.8.x or 0.9.x ?

    If 0.8.x , did you define PLL_SYNC to false in wp_config.php ?
    If 0.9.x, was the (unique) synchronization option unchecked ?

    It must have been 0.9.x. Sync was unchecked if I recall correctly.

    Plugin Author Chouby

    (@chouby)

    OK. I reproduced the bug by following the same path. You can just check one (for example taxonomies) and save changes and the warning should be removed. (You can then uncheck the option if you don’t like it, the warning will not come back).

    I will try to catch this so that other people don’t have this issue in the future.

    Plugin Author Chouby

    (@chouby)

    Just another question: did you revert to an older version 0.9.x after a first upgrade to 1.0.x and then come back to 1.0 ?

    That solved the issue. Thanks!

    Just another question: did you revert to an older version 0.9.x after a first upgrade to 1.0.x and then come back to 1.0 ?

    No, I would have considered as last resort, but now I don’t need to.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘PLL 1.0 and 1.01 Warning: in_array() expects parameter 2 to be array, null given’ is closed to new replies.